<?php
/*
Скрипт "Гадание "Квадраты Пифагора"
written by Maxeg (info@uznayonline.ru)
Homepage: http://www.uznayonline.ru
Переделал под JohnCMS FoulDancer
*/
define('_IN_JOHNCMS', 1);
$headmod = 'Pifagor';
$textl = 'Квадрат Пифагора';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");
if(isset ($_POST['submit']))
{
     // Выцепляем данные из XML файлов //

$pif_url = "data/pifagor_square.xml"; // Задаем имя файлов
$pif_feed = file_get_contents($pif_url); // Читаем файл

	for ($i = 1; $i <= 9; $i++)
	{
	preg_match("!<square_".$i.">(.*?)</square_".$i.">!si", $pif_feed, $feed_pif_all[$i]);
	preg_match("!<descr>(.*?)</descr>!si", $feed_pif_all[$i][1], $description[$i]);
		for ($j = 0; $j <= 7; $j++)
		{
		preg_match("!<".$j.">(.*?)</".$j.">!si", $feed_pif_all[$i][1], $pif_vivod[$i][$j]);
		}
	}
    //------------

	$day = ''.abs(intval($_POST['day']));
	if($day < 1 or $day > 31)
	{
		$day = 01;
	}
	elseif ($day < 10)
	{
		$day = '0'.$day;
	}
	$month = ''.abs(intval($_POST['month']));
	if($month < 1 or $month > 12)
	{
		$month = 01;
	}
	elseif ($month < 10)
	{
		$month = '0'.$month;
	}
	$year = ''.abs(intval($_POST['year']));
	echo "<div class='phdr'>Введенная дата: ".$day.".".$month.".".$year."</div>";
    //Первое число
	$num[1] = $day{0} + $day{1} + $month{0} + $month{1} + $year{0} + $year{1} + $year{2} + $year{3};
	$num1[1] = substr($num[1], 0, 1);

	$num1[2] = substr($num[1], 1, 1);
	$num[2] = $num1[1] + $num1[2];

	if($day{0} == 0)
		$num[3] = $num[1] - $day{1} * 2;
	else
		$num[3] = $num[1] - $day{0} * 2;

	$num3[1] = substr($num[3], 0, 1);
	$num3[2] = substr($num[3], 1, 1);
	$num[4] = $num3[1] + $num3[2];
	$stroka = $day.$month.$year.$num[1].$num[2].$num[3].$num[4];

for ($i = 1; $i <= 9; $i++)
{
$out[$i] = substr_count($stroka,$i);
	for ($j = 1; $j <= $out[$i]; $j++)
	{
	$stroka_out[$i] = $stroka_out[$i].$i;
	}
}

echo "<div class='gmenu'><p align='center'>Квадраты Пифагора</p>";

echo "<table border='1' align='center' cellpadding='0' cellspacing='0'>";

for ($i = 1; $i <= 3; $i++)
{
echo"<tr>";
	for ($j = $i*3-2; $j <= $i*3; $j++)
	{
	echo "<td align='center' width='70' height='70' class='nav2'>";
	echo "".$stroka_out[$j]."";
	echo "</td>";
	}
echo "</tr>";
}
echo "</table><br/>";
echo '</div><div class="gmenu">';
  for ($i = 1; $i <= 9; $i++)
{
echo "Квадрат ".$i.": <font color='red'><b>".$description[$i][1]."</b></font><br/><b>Толкование:</b><br/>
".$pif_vivod[$i][$out[$i]][1]."<br/>";
}

	echo '</div><div class="menu"><a href="?">Назад</a><br/>';
}
else
{
	echo "<div class='phdr'>Квадрат Пифагора (психоматрица)</div>";
	echo '<div class="gmenu">Сохранившиеся исторические источники свидетельствуют, что знаменитый математик Пифагор долго учился потаенным знаниям у египетских жрецов. В них говорится, что в племени дагонов сохранились фрагменты наук предыдущей цивилизации (возможно цивилизации Атлантов). Впрочем, может быть, сама природа закодировала в цифрах генетическую информацию. Гены при сильном увеличении напоминают спиралевидные цепочки и очень похожи на древнееврейские письмена, которые были начертаны тысячелетия назад и свидетельствуют о бессмертии души.<br/><br/>';
	echo 'Пифагор изучил в Египте, а потом привез в Европу, цифровые матрицы, известные ранее только узкому кругу избранных. В адаптированном варианте тайные таблицы дошли до наших дней и ныне известны как \"Космический код\".<br/><br/>';
	echo 'Все люди от рождения получили свой номер, который несет определенную характеристику. Подсчитав свои цифры, используя нашу программу, Вы можете узнать, что заложено природой в конкретного человека.<br/><br/>';
	echo '<b>Для продолжения гадания введите, пожалуйста, дату рождения человека, на которого Вы гадаете.</b></div>';
	echo '<form action="?act=add" method="post"><div class="gmenu"><select name="day" value="day">';
	for($i = 1; $i <= 31; $i++)
	{
		if($i < 10)
		{
			echo '<option value="0'.$i.'">0'.$i.'</option>';
		}
		else
		{
			echo '<option value="'.$i.'">'.$i.'</option>';
		}
	}
	echo '</select><select name="month" value="month">
<option value="01">январь</option>
<option value="02">февраль</option>
<option value="03">март</option>
<option value="04">апрель</option>
<option value="05">май</option>
<option value="06">июнь</option>
<option value="07">июль</option>
<option value="08">август</option>
<option value="09">сентябрь</option>
<option value="10">октябрь</option>
<option value="11">ноябрь</option>
<option value="12">декабрь</option>
</select><select name="year" value="year">';
	for($i = date('Y') - 100; $i <= date('Y'); $i++)
	{
		echo '<option value="'.$i.'">'.$i.'</option>';
	}
	echo '</select></div><div class="bmenu"><input type = "submit" name = "submit" value = "Далее"/></div></form><div class="menu">';
}
echo '<a href="../?act=divination">Еще гадания</a><br /><a href="../?">В раздел</a></div>';
require_once ("../../incfiles/end.php");

?>